<?php
/**
* @version		2.6.0 29/04/2016
* @package		activity.php
* @author       Bernard Saulm
* @copyright	Copyright (C) 2012-2013-2014-2015-2016 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined( '_JEXEC' ) or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

jimport('joomla.utilities.string');

class KunenaActivityMyJspace extends KunenaActivity
{
	protected $params = null;

	public function __construct($params)
	{
		$this->params = $params;
	}

	// Provide the personal page url, or page list if more than one
	public function getUserMedals($userid)
	{
		if ($userid == 0 || !file_exists(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php'))
			return false;

		require_once JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php';

		// Options
		$choix_url = $this->params->get('choix_url', 0);
		$text_url = $this->params->get('text_url', 'Pages');
		$icon_url = $this->params->get('icon_url', 'components/com_myjspace/images/page_url.png');

		// Personal page user info
		list($list_page_tab, $url) = BSHelperUser::GetUserUrl($userid);
		$medals = array();
		if (count($list_page_tab) > 0) {
			$icon_part = '';
			$text_part = '';
			if ($choix_url == 0 || $choix_url == 2)
				$icon_part = "<img src=\"".$icon_url."\" alt=\"\" />";
			if ($choix_url == 1 || $choix_url == 2)
				$text_part = $text_url;
			if ($choix_url == 2)
				$text_part .= ' ';

			$medals [] = "<a href=\"".$url."\">".$text_part.$icon_part."</a>";
		}

		return $medals;
	}
}
